> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shuriken.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Price Chart



## OpenAPI

````yaml GET /api/v2/tokens/{tokenId}/price/chart
openapi: 3.0.3
info:
  description: Multi-chain DEX trading API for developers
  license:
    name: ''
  title: Shuriken API v2
  version: 2.0.0
servers:
  - url: https://api.shuriken.trade
security: []
tags:
  - description: SplitNOW cross-chain split plan + execute
    name: V2 Splits
  - description: Wallet archive lifecycle (archive / unarchive / bulk-archive)
    name: Wallets
  - description: Token discovery, metadata, and pricing
    name: V2 Tokens
  - description: Quote and execute swaps
    name: V2 Swap
  - description: Limit orders and stop-loss
    name: V2 Trigger
  - description: Managed-agent invocation
    name: V2 Agents
  - description: Portfolio positions and PnL
    name: V2 Portfolio
  - description: User account management
    name: V2 Account
  - description: WebSocket stream discovery, session bootstrap, and channel authorization
    name: V2 WebSocket
  - description: Perpetual trading on Hyperliquid
    name: V2 Perps
  - description: Agent-proposed trade suggestions
    name: V2 Suggestions
paths:
  /api/v2/tokens/{tokenId}/price/chart:
    get:
      tags:
        - V2 Tokens
      summary: GET /api/v2/tokens/:tokenId/price/chart — OHLCV candle data
      operationId: get_token_chart
      parameters:
        - description: Token ID in chain:address format
          in: path
          name: tokenId
          required: true
          schema:
            type: string
        - description: 'Candle resolution: 1m, 5m, 15m, 30m, 1h, 6h, 1d (default: 1h)'
          in: query
          name: resolution
          required: false
          schema:
            type: string
        - description: 'Number of candles (default: 100, max: 500)'
          in: query
          name: count
          required: false
          schema:
            format: int32
            minimum: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_TokenChartResponse'
          description: OHLCV candle data
      security:
        - bearer_auth: []
components:
  schemas:
    ApiResponse_TokenChartResponse:
      description: V2 success response envelope
      properties:
        data:
          properties:
            candles:
              items:
                $ref: '#/components/schemas/TokenChartCandle'
              type: array
            resolution:
              type: string
            tokenId:
              type: string
          required:
            - tokenId
            - resolution
            - candles
          type: object
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
          nullable: true
        requestId:
          type: string
      required:
        - data
        - requestId
      type: object
    TokenChartCandle:
      properties:
        close:
          format: double
          type: number
        high:
          format: double
          type: number
        low:
          format: double
          type: number
        open:
          format: double
          type: number
        timestamp:
          format: int32
          minimum: 0
          type: integer
        volume:
          format: double
          type: number
      required:
        - timestamp
        - open
        - high
        - low
        - close
        - volume
      type: object
    PaginationInfo:
      description: Page-based pagination info (per RFC)
      properties:
        hasMore:
          type: boolean
        limit:
          format: int32
          minimum: 0
          type: integer
        page:
          format: int32
          minimum: 0
          type: integer
        total:
          format: int32
          minimum: 0
          nullable: true
          type: integer
      required:
        - page
        - limit
        - hasMore
      type: object
  securitySchemes:
    bearer_auth:
      bearerFormat: JWT or sk_{keyId}_{secret}
      description: >-
        Use `Authorization: Bearer <jwt>` for user auth or `Authorization:
        Bearer sk_{keyId}_{secret}` for API key auth.
      scheme: bearer
      type: http

````